#/bin/sh
#
# This is a very simple script to report a quick statistic from the
# qmail-queue.log or qmail-queue.log.x.gz, it needs to be improved...
#
# Salvatore Toribio
# 20041101
#

if [ ! $1  ]; then
   echo "
   Usage:  $0  <qmail-queue.log>

   It is possible to analize compress files i.e.: qmail-queue.log.1.gz

"
   exit 1
fi

if [ ! -f "$1" ]; then
   echo "
   File: '$1' doesn't exist, exit.
"
   exit
fi

FF="`file $1 | grep 'gzip compressed data'`"

echo

if [ ! "$FF" ]; then
   # It is not a compress file
   grep 'here be a virus' $1 | sed  -e "s/.*(\(.*\))$/\1/" | sort | uniq -c | sort -gr
   echo
   grep 'SA: yup, this smells ' $1 | sed  -e "s/.* hits.* - \(.*\) message...$/\1/" | sort | uniq -c | sort -gr
else
   # It is a compress file
   zcat $1 | grep 'here be a virus' | sed  -e "s/.*(\(.*\))$/\1/" | sort | uniq -c | sort -gr
   echo
   zcat $1 | grep 'SA: yup, this smells ' | sed  -e "s/.* hits.* - \(.*\) message...$/\1/" | sort | uniq -c | sort -gr
fi

echo
